LeapImportArtefactPlugin warning when extending class adds parameters in method

Bug #1643365 reported by Cecilia Vela Gurovic on 2016-11-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Unassigned

Bug Description

When trying to import a Leap2A file, the operation in successful but shows following warning for several classes:

[WAR] de (artefact/resume/import/leap/lib.php:0) Declaration of LeapImportResume::import_author_data(PluginImport $importer, $persondataid) should be compatible with LeapImportArtefactPlugin::import_author_data(PluginImportLeap $importer, $persondataid)

[WAR] de (artefact/plans/import/leap/lib.php:0) Declaration of LeapImportPlans::setup_relationships(SimpleXMLElement $entry, PluginImportLeap $importer) should be compatible with LeapImportArtefactPlugin::setup_relationships(SimpleXMLElement $entry, PluginImportLeap $importer, $strategy, array $otherentries)

[WAR] de (artefact/annotation/import/leap/lib.php:0) Declaration of LeapImportAnnotation::setup_view_relationships(SimpleXMLElement $entry, PluginImportLeap $importer) should be compatible with LeapImportArtefactPlugin::setup_view_relationships(SimpleXMLElement $entry, PluginImportLeap $importer, $strategy, array $otherentries)

[WAR] de (artefact/comment/import/leap/lib.php:0) Declaration of LeapImportComment::setup_relationships(SimpleXMLElement $entry, PluginImportLeap $importer) should be compatible with LeapImportArtefactPlugin::setup_relationships(SimpleXMLElement $entry, PluginImportLeap $importer, $strategy, array $otherentries)

Changed in mahara:
milestone: none → 17.04.0
Changed in mahara:
status: New → In Progress

Reviewed: https://reviews.mahara.org/7266
Committed: https://git.mahara.org/mahara/mahara/commit/d72c56b5298ffaa2c77a026e906eb8b9858d8b64
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit d72c56b5298ffaa2c77a026e906eb8b9858d8b64
Author: Cecilia Vela Gurovic <email address hidden>
Date: Tue Nov 22 12:50:43 2016 +1300

Bug 1643365: Match function parameter

Functions in classes and their parents
should have matching paramenters.

behatnotneeded

Change-Id: Ib989f6c3ec5644507cccafb296cd5ae595f29d16

Robert Lyon (robertl-9) on 2016-11-24
Changed in mahara:
status: In Progress → Fix Committed
Changed in mahara:
importance: Undecided → Medium
Robert Lyon (robertl-9) on 2017-04-27
Changed in mahara:
status: Fix Committed → Fix Released

Reviewed: https://reviews.mahara.org/7728
Committed: https://git.mahara.org/mahara/mahara/commit/a407b3791a85b59c1a83d50216d187cc7a53905f
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit a407b3791a85b59c1a83d50216d187cc7a53905f
Author: Robert Lyon <email address hidden>
Date: Mon May 8 11:04:13 2017 +1200

Bug 1681291: Missing params for LeapImportComment::setup_relationships()

When the bug 1643365 was fixed we missed a place where the
setup_relationships() was called. We need to add the extra required
parameters to the call

behatnotneeded

Change-Id: I093937073598d4ff39abfa10aa9725319a40ec55
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/7737
Committed: https://git.mahara.org/mahara/mahara/commit/fee994ca330cb614a084cd169e7c39f2a06b591f
Submitter: Robert Lyon (<email address hidden>)
Branch: 17.04_STABLE

commit fee994ca330cb614a084cd169e7c39f2a06b591f
Author: Robert Lyon <email address hidden>
Date: Mon May 8 11:04:13 2017 +1200

Bug 1681291: Missing params for LeapImportComment::setup_relationships()

When the bug 1643365 was fixed we missed a place where the
setup_relationships() was called. We need to add the extra required
parameters to the call

behatnotneeded

Change-Id: I093937073598d4ff39abfa10aa9725319a40ec55
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit a407b3791a85b59c1a83d50216d187cc7a53905f)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers